Zum Inhalt springen

GetDocument

GET
/api/v1/t/{tenant}/documents/{documentId}
curl --request GET \
--url https://example.com/api/v1/t/example/documents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
tenant
required
string

Tenant slug

documentId
required
string format: uuid

OK

Media typeapplication/json
object
id
required
string format: uuid
title
required
string
documentTypeId
required
null | string format: uuid
status
required
Allowed values: Processing Active Archived Deleted Purging
metadata
required
isConfidential
required
boolean
processingFailed
required
boolean
isQuarantined
required
boolean
servedVersionNumber
required
null | integer format: int32
currentVersion
required
One of:
null
lockedBy
required
null | string format: uuid
lockedAt
required
null | string format: date-time
fileIds
required
Array<string>
tagIds
required
Array<string>
accessLevel
required
Allowed values: Read Write Manage
createdBy
required
string format: uuid
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
typeSource
required
One of:
null
metadataSources
required
object
key
additional properties
object
source
required
Allowed values: Person EInvoice Ai Workflow Computed
resultId
null | string format: uuid
split
One of:
null
retentionUntil
null | string format: date
legalHold
boolean
retentionApplies
boolean
retentionStale
boolean
provenance
One of:
null
Example
{
"status": "Processing",
"currentVersion": {
"processingState": "Pending",
"renditions": [
{
"kind": "PdfA"
}
]
},
"accessLevel": "Read",
"typeSource": {
"source": "Person"
},
"metadataSources": {
"additionalProperty": {
"source": "Person"
}
},
"legalHold": false,
"retentionApplies": false,
"retentionStale": false,
"provenance": {
"source": "Upload"
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}